/* ==================================================
   HEADER – GRUNDLAYOUT
================================================== */
.site-header.tile.large {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  min-height: calc(var(--column-gap) + var(--tile-height-big));
  padding-top: var(--column-gap);
  border-bottom: 1px solid var(--font-color-dark);
  z-index: 100;
  background-color: var(--primary-color);
}

.fixed-header {
  position: fixed;
  top: 0;
  background-color: var(--primary-color);
  z-index: 100;
  row-gap: 0;
}

/* ==================================================
   MOBILE NAVIGATION AUSBLENDEN
================================================== */
.mobile-menu {
  display: none;
}

.mobile-submenu {
  display: none;
}

/* ==================================================
   HEADER OFFSET (abhängig von Headergröße)
================================================== */
.big-header main {
  padding-top: calc(2 * var(--column-gap) + 2 * var(--tile-height-big));
}

.small-header main {
  padding-top: calc(1 * var(--column-gap) + 1 * var(--tile-height-big));
}

/* ==================================================
   HEADER – NAVIGATION
================================================== */
.navigation-and-searchbar {
  align-items: end;
  padding-bottom: var(--column-gap);
}

nav {
  font-size: var(--font-size-menu);
}

.site-navigation ul {
    display: flex;
    flex-wrap: wrap;
    column-gap: var(--column-gap);
    row-gap: 0;
}

.site-navigation li {
    white-space: nowrap;
}

.site-navigation li {
  display: inline-block;
}

.site-navigation a {
  font-weight: 400;
  color: var(--font-color-grey);
  word-break: break-all;
  transition: color var(--animation), opacity var(--animation);
}

.site-navigation a:hover {
  color: var(--font-color-dark);
  opacity: 1;
}

/* aktive / inaktive Menüs */
.current-menu-item a {
  color: var(--font-color-dark);
}

/* verhindert Hervorhebung im Hauptmenü bei gleicher Page-ID */
.inactive .current-menu-item a {
  color: var(--font-color-grey);
}

.inactive .current-menu-item a:hover {
  color: var(--font-color-dark);
}

/* ==================================================
   SUBMENÜ
================================================== */
.submenu {
  position: absolute;
  bottom: 0;
  align-content: baseline;
}

.submenu nav {
  font-size: var(--font-size-menu);
}

.menu-block {
  display: flex;
  gap: var(--column-gap);
  justify-content: end;
}

/* ==================================================
   LOGO / SUBSITE-LOGO
================================================== */
.logo a,
.subsite-logo a {
  display: inline-block;
  font-weight: 400;
  color: var(--font-color-dark);
}

.logo h1,
.subsite-logo h1 {
  font-size: var(--font-size-logo);
}

.logo p,
.subsite-logo p {
  margin: 0;
  font-size: var(--font-size-logo-description);
}



/* ==================================================
   SCROLL-ANIMATION
================================================== */
.subsite-logo {
  position: relative;
  width: 100%;
  transition: width var(--animation);
  z-index: 1;
}

.fixed-header.is-scrolled .subsite-logo {
  width: var(--column-width);
}

.subsite-logo h1 {
  transition: font-size var(--animation);
}

.fixed-header.is-scrolled .subsite-logo h1 {
  font-size: var(--font-size-menu);
}

.subsite-logo p {
  max-height: 40px;
  overflow-x: visible;
  overflow-y: visible;
  opacity: 1;
  transition:
    max-height var(--animation),
    opacity var(--animation),
    margin var(--animation);
}

.fixed-header.is-scrolled .subsite-logo p {
  max-height: 0;
  opacity: 0;
  margin: 0;
}

.submenu-container {
  border-bottom: 1px solid var(--font-color-dark);
  background-color: var(--primary-color);
  padding-top: var(--column-gap);
  height: calc(var(--tile-height-big) + var(--column-gap));
  min-height: calc(var(--tile-height-big) + var(--column-gap));
  z-index: 98;
}

.submenu-container.large {
  transition: height var(--animation), min-height var(--animation);
  overflow: hidden;
}

.fixed-header.is-scrolled .submenu-container.large {
  height: calc(var(--tile-height-small) + var(--column-gap));
  min-height: calc(var(--tile-height-small) + var(--column-gap));
}


.mobile-submenu {
  transition: transform var(--animation);
}

.fixed-header.is-scrolled .mobile-submenu {
  transform: translateY(-100%);
}

.fixed-header.is-scrolled .mobile-submenu.open {
  transform: translateY(-2px);
}

.fixed-header .mobile-submenu.open {
  transform: translateY(calc(var(--tile-height-small) + var(--column-gap)));
}

/* ==================================================
   MOBILE ONLY
================================================== */
@media (max-width: 768px) {

  /* Desktop Navigation ausblenden */
  .site-header .navigation-and-searchbar {
    display: none;
  }

  .fixed-header {
    width: calc(100% - 2 * var(--column-gap));
  }

  /* Headerhöhe anpassen */
  .site-header.tile.large {
    min-height: calc(var(--column-gap) + var(--tile-height-small));
    height: calc(var(--column-gap) + var(--tile-height-small));
    overflow: hidden;
  }

  .big-header main {
    padding-top: calc(2 * var(--column-gap) + 1 * var(--tile-height-big) + 1 * var(--tile-height-small));
  }

  .small-header main {
    padding-top: calc(1 * var(--column-gap) + 1 * var(--tile-height-small));
  }

  /* =========================
     HAMBURGER ICON
  ========================== */
  .mobile-nav-toggle-container,
  .mobile-sub-nav-toggle-container {
    display: flex;
    align-content: center;
  }

  .mobile-nav-toggle,
  .mobile-sub-nav-toggle {
    width: 30px;
    height: 25px;
    position: absolute;
    right: 0;
    top: calc(2 * var(--column-gap));
    cursor: pointer;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    transform: translateZ(0);
    z-index: 2;
  }

  .mobile-sub-nav-toggle {
    top: calc(1 * var(--column-gap));
  }

  .mobile-nav-toggle span,
  .mobile-sub-nav-toggle span {
    display: block;
    width: 100%;
    height: 1px;
    background: var(--font-color-dark);
    transition: transform var(--animation), opacity var(--animation);
    margin: 2px 0;
      /* Safari Fix */
    transform: translateZ(0);
    backface-visibility: hidden;
    will-change: transform, opacity;
  }

  /* -> KREUZ ANIMATION */
  .mobile-nav-toggle.active span:nth-child(1),
  .mobile-sub-nav-toggle.active span:nth-child(1) {
    transform: translateY(10px) rotate(45deg);
  }

  .mobile-nav-toggle.active span:nth-child(2),
  .mobile-sub-nav-toggle.active span:nth-child(2) {
    opacity: 0;
    transform: scaleX(0);
  }

  .mobile-nav-toggle.active span:nth-child(3),
  .mobile-sub-nav-toggle.active span:nth-child(3) {
    transform: translateY(-10px) rotate(-45deg);
  }

  /* =========================
     SLIDE DOWN MENU
  ========================== */
  .mobile-menu,
  .mobile-submenu {
    position: fixed;
    top: calc(var(--column-gap) + var(--tile-height-small));
    left: 0;
    width: 100%;
    height: auto;
    transform: translateY(-100%);
    transition: transform var(--animation);
    z-index: 99;
    overflow-y: auto;
    display: flex;
    justify-content: center;
  }

  .mobile-submenu {
    top: calc(2 * var(--column-gap) + 2 * var(--tile-height-small));
    z-index: 94;
  }

  .mobile-menu.open,
  .mobile-submenu.open {
    transform: translateY(0);
  }

  .mobile-menu div.row,
  .mobile-submenu div.row {
    grid-template-columns: repeat(1, 1fr);
    padding: var(--column-gap) 0;
    margin: 0 var(--column-gap);
    background-color: var(--primary-color);
    border-bottom: 1px solid var(--font-color-dark);
  }

  .mobile-submenu div.row {
    gap: 0;
  }

  .submenu .site-navigation {
    display: none;
  }

  /* Menüeinträge */
  .mobile-menu-list {
    list-style: none;
    padding: 0;
    margin: 0;
    grid-template-columns: repeat(1, 1fr);
  }

  .mobile-menu-list li a {
    font-size: var(--font-size-titel);
    font-weight: 400;
    transition: color var(--animation);
  }

  .mobile-menu-list li a:hover {
    color: var(--font-color-dark);
    opacity: 1;
  }

  .mobile-submenu li.current-menu-item a {
    color: var(--font-color-grey);
    transition: color var(--animation);
  }
  .mobile-submenu li.current-menu-item a:hover {
    color: var(--font-color-dark);
  }

}
